-- STRUCTURE 
-- [1] : Integer - ID of the music (new system)
-- [2] : String - Path of the music file or [name of the music file when using PlaySoundKitID]
-- [3] : Integer - Length of the music file in seconds
-- [4] : Boolean - Flag for PlaySoundKitID calls (new system) *** test for nil ***
-- [5] : Integer - ID for PlaySoundKitID

-- Get localization
local L = LibStub("AceLocale-3.0"):GetLocale("GarrisonJukeBox")

-- Blizzard Music Rolls
local music = {
	{
		id = 250,
		name = L["TITLE_BLIZZJB_WOD-6.1"],
		files = {
			{2526, "MUS_61_GarrisonMusicBox_01 : Legends of Azeroth", 161, true, 49511},
			{2527, "MUS_61_GarrisonMusicBox_02 : The Burning Legion", 227, true, 49512},
			{2528, "MUS_61_GarrisonMusicBox_03 : Wrath of the Lich King", 549, true, 49513},
			{2529, "MUS_61_GarrisonMusicBox_04 : The Shattering", 726, true, 49514},
			{2530, "MUS_61_GarrisonMusicBox_05 : Heart of Pandaria", 480, true, 49515},
			{2531, "MUS_61_GarrisonMusicBox_06 : A Siege of Worlds", 727, true, 49516},
			{2532, "MUS_61_GarrisonMusicBox_07 : Angelic", 48, true, 49529},
			{2533, "MUS_61_GarrisonMusicBox_08 : Ghost", 62, true, 49530},
			{2534, "MUS_61_GarrisonMusicBox_09 : Mountains", 64, true, 49531},
			{2535, "MUS_61_GarrisonMusicBox_10 : Magic", 64, true, 49533},
			{2536, "MUS_61_GarrisonMusicBox_11 : The Black Temple", 164, true, 49535},
			{2537, "MUS_61_GarrisonMusicBox_12 : Invincible", 197, true, 49536},
			{2538, "MUS_61_GarrisonMusicBox_13 : Karazhan Opera House", 83, true, 49538},
			{2539, "MUS_61_GarrisonMusicBox_14 : The Argent Tournament", 145, true, 49539},
			{2540, "MUS_61_GarrisonMusicBox_15 : Lament of the Highborne", 171, true, 49540},
			{2541, "MUS_61_GarrisonMusicBox_16 : Faerie Dragon", 132, true, 49541},
			{2542, "MUS_61_GarrisonMusicBox_17 : Totems of the Grizzlemaw", 149, true, 49543},
			{2543, "MUS_61_GarrisonMusicBox_18 : Mountains of Thunder", 87, true, 49544},
			{2544, "MUS_61_GarrisonMusicBox_19 : Darkmoon Carousel", 181, true, 49545},
			{2545, "MUS_61_GarrisonMusicBox_20 : Shalandis Isle", 132, true, 49546},
			{2546, "MUS_61_GarrisonMusicBox_21 : Way of the Monk", 82, true, 49526},
			{2547, "MUS_61_GarrisonMusicBox_22 : Song of Liu Lang", 169, true, 49528},
			{2548, "MUS_61_GarrisonMusicBox_23_Alliance : Stomwind", 67, true, 49517},
			{2549, "MUS_61_GarrisonMusicBox_23_Horde : Orgrimmar", 40, true, 49555},
			{2550, "MUS_61_GarrisonMusicBox_24_Alliance : High Seas", 133, true, 49518},
			{2551, "MUS_61_GarrisonMusicBox_24_Horde : War March", 136, true, 49554},
			{2552, "MUS_61_GarrisonMusicBox_25_Alliance : Iron Forge", 86, true, 49519},
			{2553, "MUS_61_GarrisonMusicBox_25_Horde : Undercity", 29, true, 49553},
			{2554, "MUS_61_GarrisonMusicBox_26_Alliance : Cold Mountain", 151, true, 49520},
			{2555, "MUS_61_GarrisonMusicBox_26_Horde : Thunder Bluff", 46, true, 49552},
			{2556, "MUS_61_GarrisonMusicBox_27_Alliance : Night Song", 160, true, 49521},
			{2557, "MUS_61_GarrisonMusicBox_27_Horde : Mulgore Plains", 90, true, 49551},
			{2558, "MUS_61_GarrisonMusicBox_28_Alliance : Gnomeregan", 88, true, 49522},
			{2559, "MUS_61_GarrisonMusicBox_28_Horde : Zul'Gurub Voodoo", 84, true, 49550},
			{2560, "MUS_61_GarrisonMusicBox_29_Alliance : Tinkertown", 52, true, 49523},
			{2561, "MUS_61_GarrisonMusicBox_29_Horde : The Zandalari", 72, true, 49549},
			{2562, "MUS_61_GarrisonMusicBox_30_Alliance : Exodar", 82, true, 49524},
			{2563, "MUS_61_GarrisonMusicBox_30_Horde : Silvermoon", 132, true, 49548},
			{2564, "MUS_61_GarrisonMusicBox_31_Alliance : Curse of the Worgen", 196, true, 49525},
			{2565, "MUS_61_GarrisonMusicBox_31_Horde : Rescue the Warchief", 87, true, 49547},
		},
	},
}

GJB.musictable[GJB.EXP_BLIZZJB] = music
